;InnoSetupVersion=5.2.3

[Setup]
AppName=AusLogics Disk Defrag
AppVerName=AusLogics Disk Defrag 1.5
AppId={{DF6A13C0-77DF-41FE-BD05-6D5201EB0CE7}
AppVersion=version 1.5
AppPublisher=Auslogics Software Pty Ltd
AppPublisherURL=http://www.auslogics.com/go/diskdefrag/en
AppSupportURL=http://www.auslogics.com/go/diskdefrag/en/support.php
AppUpdatesURL=http://www.auslogics.com/go/diskdefrag/en/software/disk-defrag
AppMutex={{8D622ABC-7F4F-49CF-A95A-86F8A21753BA}diskde.exe
DefaultDirName={pf}\Auslogics\AusLogics Disk Defrag
DefaultGroupName=Auslogics\Disk Defrag
UninstallDisplayIcon={app}\DiskDefrag.exe
UninstallDisplayName=AusLogics Disk Defrag
OutputBaseFilename=in
Compression=lzma
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\DiskDefrag,1.exe"; DestDir: "{app}"; DestName: "DiskDefrag.exe"; MinVersion: 0.0,5.0.2195; Flags: ignoreversion 
Source: "{app}\AxForms10.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\AxPackage10.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\cdefrag.exe"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\commonforms.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\diskdefrag.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\diskdefrag,2.exe"; DestDir: "{app}"; DestName: "diskdefrag.exe"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\EULA.rtf"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\helper.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\localizer.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\madBasic_.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\madDisAsm_.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\madExcept_.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\rtl70.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\sendlog.exe"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\settings.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\vcl70.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\Data\about.png"; DestDir: "{app}\Data"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\Lang\en.lng"; DestDir: "{app}\Lang"; MinVersion: 0.0,5.0.2195; Flags: ignoreversion 
Source: "{app}\Lang\de.lng"; DestDir: "{app}\Lang"; MinVersion: 0.0,5.0.2195; Flags: ignoreversion 
Source: "{app}\Data\main.ini"; DestDir: "{app}\Data"; MinVersion: 0.0,5.0.2195; Flags: ignoreversion 

[Dirs]
Name: "{app}\Lang\"; 

[Registry]
Root: HKCU; Subkey: "Software\AusLogics\Disk Defrag"; MinVersion: 0.0,5.0.2195; Flags: uninsdeletekey 

[INI]
FileName: "{app}\diskdefrag.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.auslogics.com/go/diskdefrag/en/software/disk-defrag"; 

[Run]
Filename: "{app}\DiskDefrag.exe"; Description: "{cm:LaunchProgram,AusLogics Disk Defrag}"; MinVersion: 0.0,5.0.2195; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{userdesktop}\AusLogics Disk Defrag"; Filename: "{app}\diskdefrag.exe"; Tasks: desktopicon; MinVersion: 0.0,5.0.2195; 
Name: "{group}\AusLogics Disk Defrag"; Filename: "{app}\diskdefrag.exe"; MinVersion: 0.0,5.0.2195; 
Name: "{group}\{cm:ProgramOnTheWeb,AusLogics Disk Defrag}"; Filename: "http://www.auslogics.com/go/diskdefrag/en/software/disk-defrag"; IconFilename: "{sys}\url.dll"; MinVersion: 0.0,5.0.2195; 
Name: "{group}\{cm:UninstallProgram,AusLogics Disk Defrag}"; Filename: "{uninstallexe}"; MinVersion: 0.0,5.0.2195; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; MinVersion: 0.0,5.0.2195; 

[UninstallDelete]
Type: files; Name: "{app}\diskdefrag.url"; 
Type: filesandordirs; Name: "{app}*"; 

[CustomMessages]
English.NameAndVersion=%1 version %2
English.AdditionalIcons=Additional icons:
English.CreateDesktopIcon=Create a &desktop icon
English.CreateQuickLaunchIcon=Create a &Quick Launch icon
English.CreateAutorun=&Run the program when I log on to Windows
English.ProgramOnTheWeb=%1 on the Web
English.UninstallProgram=Uninstall %1
English.LaunchProgram=Launch %1
English.AssocFileExtension=&Associate %1 with the %2 file extension
English.AssocingFileExtension=Associating %1 with the %2 file extension...
English.MutexSetupAppRunningError=Setup has detected that Auslogics Disk Defrag is currently running.%n%nPlease close all instances of it now, then click OK to continue, or Cancel to exit.

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "English"; MessagesFile: "embedded\English.isl"; 
